# DROP SCHEMA statement

The DROP SCHEMA statement drops a schema. The target schema must be empty for the drop to succeed.

Neither the APP schema (the default user schema) nor the SYS schema can be dropped.

#### Syntax

    DROP SCHEMA schemaName RESTRICT

The RESTRICT keyword enforces the rule that no objects can be defined in the specified schema for the schema to be deleted from the database. The RESTRICT keyword is required

    -- Drop the SAMP schema
    -- The SAMP schema may only be deleted from the database
    -- if no objects are defined in the SAMP schema.

    DROP SCHEMA SAMP RESTRICT

Parent topic: DROP statements
Related reference
DROP FUNCTION statement
DROP INDEX statement
DROP PROCEDURE statement
DROP ROLE statement
DROP SYNONYM statement
DROP TABLE statement
DROP TRIGGER statement
DROP VIEW statement